Skip to content
ChartDeck Developer API docs Account Get an API key

GET /v1/strata/heatmap

#GET /v1/strata/heatmapgetStrataHeatmap

The modelled liquidation field over time

Scopestrata:read
Lowest tiersandbox
Weight (units)10 (7d window), 20 (30d)
History each tier may readSandbox: 7 days; Starter: 7 days; Elite (included): 7 days; Developer: 30 days; Business: 30 days
SDKPython client.strata.heatmap ยท JavaScript cd.strata.heatmap

Parameters

ParameterInTypeDescription
coin requiredquerystringCoin ticker, upper case (BTC).
venuequerystringPin one venue (default: every venue the model uses for the coin).
windowquery"7d" | "30d"default "7d"Model look-back window (30d from Developer).
fromquerystringStart, inclusive: unix seconds or RFC 3339.
toquerystringEnd, exclusive: unix seconds or RFC 3339. Default now.
resolutionquerystringColumn width.
sidequery"long" | "short" | "both"Position side.
formatquery"sqrt8" | "usd"sqrt8 = base64 bytes (byte q means about max_usd * (q / 255)^2); usd = decoded numbers.
atquerystringCompute as of a past time (unix seconds or RFC 3339) instead of now.

Errors

  • 400 invalid_param, invalid_cursor
  • 401 unauthorized: missing, unknown, revoked or expired key
  • 403 insufficient_scope, tier_required
  • 404 not_found, not_available, not_in_sandbox
  • 422 window_too_large
  • 429 rate_limited (per minute) or quota_exhausted (month; X-Quota-* headers, Retry-After = seconds to the next month); see Retry-After
  • 503 api_disabled, overloaded

Example

Shell
curl "https://api.chartdeck.trade/v1/strata/heatmap?coin=BTC" \
  -H "Authorization: Bearer $CHARTDECK_API_KEY"
Python
from chartdeck import Client

client = Client()  # reads CHARTDECK_API_KEY
r = client.strata.heatmap(coin="BTC")
print(r.data, r.meta["attribution"])
JavaScript
import { ChartDeck } from '@chartdeck/api';

const cd = new ChartDeck();  // reads CHARTDECK_API_KEY
const r = await cd.strata.heatmap({ coin: "BTC" });
console.log(r.data, r.meta.attribution);

The Developer API documentation is in English.